# Connect Webflow with a site API token

Connects a Webflow with a site API token.

```http
POST https://api.pozy.ai/v1/connect/webflow/token
```

- Area: Accounts & connections / Connect
- Auth: API key plus X-Connect-Token header

## Request body

Content type: `application/json`

- `profileId`, string, required
- `siteToken`, string, required: 1 to 512 characters

## Example request

```bash
curl -X POST "https://api.pozy.ai/v1/connect/webflow/token" \
  -H "X-Connect-Token: $CONNECT_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "profileId": "6a0b6573846efc28aaa9a3ff",
  "siteToken": "string"
}'
```

```ts
const res = await fetch("https://api.pozy.ai/v1/connect/webflow/token", {
  method: "POST",
  headers: {
    "X-Connect-Token": process.env.CONNECT_TOKEN!,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    profileId: "6a0b6573846efc28aaa9a3ff",
    siteToken: "string"
  }),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.post(
    "https://api.pozy.ai/v1/connect/webflow/token",
    headers={"X-Connect-Token": os.environ["CONNECT_TOKEN"]},
    json={
        "profileId": "6a0b6573846efc28aaa9a3ff",
        "siteToken": "string",
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `account`, object, required
  - `_id`, string, required
  - `platform`, string, required: One of `webflow`
  - `username`, string, required
  - `displayName`, string, required
  - `profileId`, string, required

```json
{
  "account": {
    "_id": "635d87e261ae344ef27fd1df",
    "platform": "webflow",
    "username": "acme",
    "displayName": "Acme",
    "profileId": "6a0b6573846efc28aaa9a3ff"
  }
}
```
